Mailinglist Archive: opensuse (908 mails)

< Previous Next >
Re: [opensuse] (Tumbleweed) OpenJDK 8 Update 91 (1.8.0.91)
  • From: Vojtěch Zeisek <vojtech.zeisek@xxxxxxxxxxxx>
  • Date: Sat, 04 Jun 2016 14:55:11 +0200
  • Message-id: <1520008.CiqLiJTftA@veles>
Dne sobota 4. června 2016 9:45:38 CEST jste napsal(a):
Em 04/06/2016 09:15, Vojtěch Zeisek escreveu:
Dne sobota 4. června 2016 9:03:24 CEST, Fernando de Oliveira napsal(a):
System version:

{{{

:~> cat /etc/os-release

NAME=openSUSE
VERSION="Tumbleweed"
VERSION_ID="20160602"

}}}

Sorry if this is not the appropriate list.

I do not understand what I'm doing wrong, because OpenJDK 8 Update 91
(1.8.0.91) is recommended by upstream but I can only get 8 Update 77.
What I need the browser plugin (icedtea-web). OpenJDK 8 Update 9
(1.8.0.92) is also good.

From the upstream site:
{{{
https://www.java.com/en/download/installed.jsp


Your Java version: Version 8 Update 77


Download Free Java Software
Version 8 Update 91
}}}

From the command line:
{{{

:~> LANG=C zypper info 'package:java-1_8_0-openjdk'

Repository: openSUSE-Tumbleweed-Oss
Name: java-1_8_0-openjdk
Version: 1.8.0.77-1.1
Arch: i586

}}}

Do You have *-openjdk-plugin package? E.g.
$ zypper se -si java-1_8_0-openjdk
S | Name | Type | Version | Arch | Repozitory
--+-----------------------------+---------+--------------+--------+-------
--- i | java-1_8_0-openjdk | package | 1.8.0.77-1.2 | x86_64 |
tw-oss i | java-1_8_0-openjdk-devel | package | 1.8.0.77-1.2 | x86_64
| tw-oss i | java-1_8_0-openjdk-headless | package | 1.8.0.77-1.2 |
x86_64 | tw-oss i | java-1_8_0-openjdk-plugin | package | 1.6.2-2.2
| x86_64 | tw-oss This configuration works for me on web pages in FF.

Thanks for the reply.

Yes, I do:
:~> zypper se -si java-1_8_0-openjdk

Carregando dados de repositório...
Lendo os pacotes instalados...

S | Nome | Tipo | Versão | Arquitetura |
Repositório
--+-----------------------------+--------+--------------+-------------+-----
------------------- i | java-1_8_0-openjdk | pacote | 1.8.0.77-1.1
| i586 | openSUSE-Tumbleweed-Oss
i | java-1_8_0-openjdk-headless | pacote | 1.8.0.77-1.1 | i586 |
openSUSE-Tumbleweed-Oss
i | java-1_8_0-openjdk-plugin | pacote | 1.6.2-2.2 | i586 |
openSUSE-Tumbleweed-Oss

But openjdk is outdated. Updated ones are 1.8.0.91 o2 92. The
corresponding plugin might be not outdated, latest seem to be the same
version 1.6.2* as in the repository (probably will).

OK, did You try to install java-1_9_0-openjdk* packages?

--
Vojtěch Zeisek

Komunita openSUSE GNU/Linuxu
Community of the openSUSE GNU/Linux

https://www.opensuse.org/
https://trapa.cz/
< Previous Next >